import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/job_applied_staff_s_g_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/job_applied_staff_s_g_entity.g.dart';

@JsonSerializable()
class JobAppliedStaffSGEntity {
	int total = 0;
	List<JobAppliedStaffSGRows> rows = [];

	JobAppliedStaffSGEntity();

	factory JobAppliedStaffSGEntity.fromJson(Map<String, dynamic> json) => $JobAppliedStaffSGEntityFromJson(json);

	Map<String, dynamic> toJson() => $JobAppliedStaffSGEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class JobAppliedStaffSGRows {
	String? id = null;
	String? name = null;
	String? gender = null;
	String? mobile = null;
	String? nric = null;
	@JSONField(name: "profile_picture")
	String? profilePicture = null;
	int status = 0;
	@JSONField(name: "apply_state")
	int applyState = 0;
	@JSONField(name: "hotel_staff")
	int hotelStaff = 0;
	@JSONField(name: "salary_structure")
	int salaryStructure = 0;

	bool isSelected = false;

	JobAppliedStaffSGRows();

	factory JobAppliedStaffSGRows.fromJson(Map<String, dynamic> json) => $JobAppliedStaffSGRowsFromJson(json);

	Map<String, dynamic> toJson() => $JobAppliedStaffSGRowsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}